summaryrefslogtreecommitdiffstats
path: root/test/TEST-01-BASIC/test.sh
diff options
context:
space:
mode:
authorDaniel Baumann <daniel.baumann@progress-linux.org>2024-04-27 13:00:47 +0000
committerDaniel Baumann <daniel.baumann@progress-linux.org>2024-04-27 13:00:47 +0000
commit2cb7e0aaedad73b076ea18c6900b0e86c5760d79 (patch)
treeda68ca54bb79f4080079bf0828acda937593a4e1 /test/TEST-01-BASIC/test.sh
parentInitial commit. (diff)
downloadsystemd-upstream.tar.xz
systemd-upstream.zip
Adding upstream version 247.3.upstream/247.3upstream
Signed-off-by: Daniel Baumann <daniel.baumann@progress-linux.org>
Diffstat (limited to '')
-rwxr-xr-xtest/TEST-01-BASIC/test.sh25
1 files changed, 25 insertions, 0 deletions
diff --git a/test/TEST-01-BASIC/test.sh b/test/TEST-01-BASIC/test.sh
new file mode 100755
index 0000000..58f6cd1
--- /dev/null
+++ b/test/TEST-01-BASIC/test.sh
@@ -0,0 +1,25 @@
+#!/usr/bin/env bash
+set -e
+TEST_DESCRIPTION="Basic systemd setup"
+IMAGE_NAME="basic"
+RUN_IN_UNPRIVILEGED_CONTAINER=${RUN_IN_UNPRIVILEGED_CONTAINER:-yes}
+TEST_REQUIRE_INSTALL_TESTS=0
+
+. $TEST_BASE_DIR/test-functions
+
+test_create_image() {
+ create_empty_image_rootdir
+
+ # Create what will eventually be our root filesystem onto an overlay
+ (
+ LOG_LEVEL=5
+ setup_basic_environment
+
+ # install tests manually so the test is functional even when -Dinstall-tests=false
+ mkdir -p $initdir/usr/lib/systemd/tests/testdata/units/
+ cp -v $(dirname $0)/../units/{testsuite-01,end}.service $initdir/usr/lib/systemd/tests/testdata/units/
+ )
+ setup_nspawn_root
+}
+
+do_test "$@" 01